Bug 44241 - [GUI Installation] extension manager doesn't highlight an newly installed extension.
Summary: [GUI Installation] extension manager doesn't highlight an newly installed ext...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2011-12-28 12:36 UTC by Gustavo Pacheco
Modified: 2016-08-15 13:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Pacheco 2011-12-28 12:36:19 UTC
In LibreOffice 3.5.0 beta2, after an extension installation, the Extension Manager doesn't highlight the installed extension, but the first one.

LibreOffice 3.4.4 highlight the newly installed extension.

Thanks!
Gustavo Pacheco.
Comment 1 manj_k 2011-12-28 15:18:43 UTC
Reproducible (on WinXP 32b · UI en-US)
with

LibO 3.5.0 Beta2
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978

libreoffice-3-5~2011-12-28_12.37.52_... [28-Dec-2011]
LOdev 3.5.0beta2+ 
Build ID: fab993b-7ef74e0-6f9c6e1

Users will hang in balance whether the extension has been installed successfully.
REGRESSION against LibO 3.4.4 release.
Comment 2 manj_k 2012-01-14 12:40:28 UTC
Reproducible (on WinXP 32b · UI en-US)
with LibO Master (2012-01-13)
[LOdev 3.6.0alpha0+ 
Build ID: aa7e105-b2dd236-9eed775-d06f752-4dba2d1 
(libreoffice-3-5-branch-point)]
Comment 3 manj_k 2012-10-10 11:57:24 UTC
.
Comment 4 Joel Madero 2013-10-29 00:45:11 UTC
1d943c336b49581ad824d318c8e6fbb61146e168 is the first bad commit
commit 1d943c336b49581ad824d318c8e6fbb61146e168
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Dec 9 02:10:51 2011 +0100

    source-hash-2c4537471c932b65e6f72e41881b505c4bbad12c
    
    commit 2c4537471c932b65e6f72e41881b505c4bbad12c
    Author:     Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    AuthorDate: Tue Nov 29 20:00:55 2011 +0100
    Commit:     Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    CommitDate: Tue Nov 29 20:08:31 2011 +0100
    
        dont mindlessly touch the icc-header file on every build
    
        - this little gremlin touches the header file everytime it is run
        - as icc is very low level, this causes a lot of pointless rebuild
        - everything from vcl up gets relinked
        - this slows every empty 'make build' down by more than 40 percent
        - would really need to check if the file changed before writing, but as we
          rarely change icc itself, I didnt bother with that

:100644 100644 2d9e2bd5eaba2ac0d6a836ff57cd25df29197338 70dfab35f16f30a2c2b97a32e92f6ebff188f4a4 M	autogen.log
:100644 100644 1b490ce3d8ca956972b88f33f5ef54cba84202a5 8772fd8ad8efeec800cc81214748e6ea8b874a00 M	ccache.log
:100644 100644 beff12644fd59c04475e990f67ce1ac0e404d83c 7b097ea2be9b801fd57adca3aa8153dc76a7fe44 M	commitmsg
:100644 100644 836d22c9242e1971da374cbf23c36e1ad8626473 7974485e5b06a7ce5e4063c63dbbf93410dacc43 M	dev-install.log
:100644 100644 a6ae53922a3b0cc49d14e3a7b9c4dfd87be5c4ef 4d2e0aadc50d19160c2817467e1ab14e37b9a18d M	make.log
:040000 040000 d77236f0aa011a248abe7d5eded963e3d73c330a eb22b11eefad876794235d47623ff1aa1b291dc5 M	opt



# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect bad 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# bad: [598083cdb5699e7f45183da8b750815f62ff5485] source-hash-ecb1599ad00e71dfe05f3ae9a71bdce5f7540a40
git bisect bad 598083cdb5699e7f45183da8b750815f62ff5485
# good: [7a67618d4eb83613b68e348711ae303d7a37f217] source-hash-71cbcb62028295a98ceee60cb4c4ee425bafcd2e
git bisect good 7a67618d4eb83613b68e348711ae303d7a37f217
# good: [7a67618d4eb83613b68e348711ae303d7a37f217] source-hash-71cbcb62028295a98ceee60cb4c4ee425bafcd2e
git bisect good 7a67618d4eb83613b68e348711ae303d7a37f217
# bad: [1fd146a6cc80f3a3c2a14d3971501b67fece30a6] source-hash-817bf1d41bb07aeb3ed7649d25c2b44ee4acb1fe
git bisect bad 1fd146a6cc80f3a3c2a14d3971501b67fece30a6
# good: [49797665f56766854b6d49d551e2e3bddb482399] source-hash-f2972242673cc9608960e9ca70e82766be5275e3
git bisect good 49797665f56766854b6d49d551e2e3bddb482399
# good: [977ef3fe8edd7d517a45d7df573f5afa7b79cc3d] source-hash-ab407ad86610a0aba882b03075319e0b62b2c8d3
git bisect good 977ef3fe8edd7d517a45d7df573f5afa7b79cc3d
# good: [3ca9241defd7d7a2f10d87586fb32818e76df094] source-hash-ceb55cd688cebede8cef8408540019fe54528869
git bisect good 3ca9241defd7d7a2f10d87586fb32818e76df094
# bad: [1d943c336b49581ad824d318c8e6fbb61146e168] source-hash-2c4537471c932b65e6f72e41881b505c4bbad12c
git bisect bad 1d943c336b49581ad824d318c8e6fbb61146e168
# first bad commit: [1d943c336b49581ad824d318c8e6fbb61146e168] source-hash-2c4537471c932b65e6f72e41881b505c4bbad12c
Comment 5 retired 2014-12-28 09:24:09 UTC
OSX 10.10.1 LO ersion: 4.5.0.0.alpha0+
Build ID: 4e1e9eb2fb08fcddf076051501c875ce0766964b
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2014-12-17_08:03:20
Locale: de_

Persisting.
Comment 6 Andras Timar 2015-07-03 08:11:26 UTC
In the given bibisect range there is one commit that can be related:

commit a6efec83cee0ab447f9e6a5716aee5d2165f95c7
Author: Olivier Hallot <olivier.hallot@alta.org.br>
Date:   Mon Nov 28 10:54:55 2011 -0200

    Fix for bug fdo39748, Easy-hack Cleanup extension list.
Comment 7 Robinson Tryon (qubit) 2015-12-13 11:09:32 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2016-08-15 13:23:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=634423fd57971e04f104a9722d46c2b344bb7608

Resolves: tdf#44241 highlight the newly installed extension

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.